## avogadrolibs 1.93.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3 FATAL_ERROR)

project(AvogadroLibs)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Request C++11 standard when building Python wheels due to old compiler/glibc.
# Use C++17 otherwise, and hopefully globally once the pip infra is updated.
option(PYTHON_WHEEL_BUILD "Is this a Python wheel build?" OFF)
mark_as_advanced(PYTHON_WHEEL_BUILD)
if(PYTHON_WHEEL_BUILD)
  set(CMAKE_CXX_STANDARD 11)
else()
  set(CMAKE_CXX_STANDARD 17)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_CXX_EXTENSIONS False)
# Set symbol visibility defaults for all targets.
set(CMAKE_CXX_VISIBILITY_PRESET "hidden")
set(CMAKE_VISIBILITY_INLINES_HIDDEN True)

include(BuildType)
include(BuildLocation)
include(CompilerFlags)
include(InstallLocation)
include(DetermineVersion)

# Set up our version.
set(AvogadroLibs_VERSION_MAJOR   "1")
set(AvogadroLibs_VERSION_MINOR   "93")
set(AvogadroLibs_VERSION_PATCH   "0")
set(AvogadroLibs_VERSION
  "${AvogadroLibs_VERSION_MAJOR}.${AvogadroLibs_VERSION_MINOR}.${AvogadroLibs_VERSION_PATCH}")
find_package(Git)
determine_version(${AvogadroLibs_SOURCE_DIR} ${GIT_EXECUTABLE} "AvogadroLibs")

option(BUILD_SHARED_LIBS "Build with shared libraries" ON)

# Before any plugins are defined, and before any add_subdirectory calls:
set_property(GLOBAL PROPERTY AvogadroLibs_PLUGINS)
set_property(GLOBAL PROPERTY AvogadroLibs_STATIC_PLUGINS)

if(MSVC)
  add_definitions("-D_CRT_SECURE_NO_WARNINGS" "-DNOMINMAX -D_USE_MATH_DEFINES")
endif()

include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR})

option(ENABLE_TESTING "Enable testing and building the tests." OFF)
option(ENABLE_TRANSLATIONS "Enable building translations with Qt5 Linguist" OFF)
option(USE_OPENGL "Enable libraries that use OpenGL" ON)
option(USE_HDF5 "Enable optional HDF5 features" OFF)
option(USE_QT "Enable libraries that use Qt 5" ON)
option(USE_VTK "Enable libraries that use VTK" OFF)
option(USE_LIBARCHIVE "Enable optional Libarchive features" ON)
option(USE_LIBMSYM "Enable optional features using libmsym" ON)
option(USE_SPGLIB "Enable optional features using spglib" ON)
option(USE_MMTF "Enable optional features using mmtf" ON)
option(USE_PROTOCALL "Enable libraries that use ProtoCall" OFF)
option(USE_MOLEQUEUE "Enable the MoleQueue dependent functionality" ON)
option(USE_PYTHON "Use Python to wrap some of our API" OFF)

add_subdirectory(utilities)
add_subdirectory(thirdparty)
add_subdirectory(avogadro)

if(ENABLE_TESTING)
  include(CTest)
  enable_testing()
  add_subdirectory(tests)
endif()

option(BUILD_DOCUMENTATION "Build project documentation" OFF)

if(BUILD_DOCUMENTATION)
  add_subdirectory(docs)
endif()

if(USE_PYTHON)
  add_subdirectory(python)
endif()

if(ENABLE_TRANSLATIONS)
  find_package(Qt5LinguistTools)
endif()

# SKBUILD is set for binary wheel
if (NOT SKBUILD)
  install(
    FILES
      README.md
      CONTRIBUTING.md
      LICENSE
    DESTINATION "${INSTALL_DOC_DIR}/avogadrolibs")
endif()

# After all add_subdirectory calls, so the list of plugins is complete:
get_property(AvogadroLibs_PLUGINS GLOBAL PROPERTY AvogadroLibs_PLUGINS)
get_property(AvogadroLibs_STATIC_PLUGINS GLOBAL
  PROPERTY AvogadroLibs_STATIC_PLUGINS)

configure_file(${AvogadroLibs_SOURCE_DIR}/cmake/CTestCustom.cmake.in
  ${AvogadroLibs_BINARY_DIR}/CTestCustom.cmake)

configure_file("${AvogadroLibs_SOURCE_DIR}/cmake/AvogadroLibsConfig.cmake.in"
  "${AvogadroLibs_BINARY_DIR}/AvogadroLibsConfig.cmake" @ONLY)
configure_file("${AvogadroLibs_SOURCE_DIR}/cmake/AvogadroLibsConfigVersion.cmake.in"
  "${AvogadroLibs_BINARY_DIR}/AvogadroLibsConfigVersion.cmake" @ONLY)

# SKBUILD is set for binary wheel
if (NOT SKBUILD)
  install(FILES
    "${AvogadroLibs_BINARY_DIR}/AvogadroLibsConfig.cmake"
    "${AvogadroLibs_BINARY_DIR}/AvogadroLibsConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/FindEigen3.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/FindGLEW.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/FindLibArchive.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Findlibmsym.cmake"
    DESTINATION "${INSTALL_LIBRARY_DIR}/cmake/avogadrolibs")
  install(EXPORT "AvogadroLibsTargets"
    DESTINATION "${INSTALL_LIBRARY_DIR}/cmake/avogadrolibs")
endif()

=== tests/CMakeLists.txt ===
include_directories("${AvogadroLibs_BINARY_DIR}/avogadro/core")

# find google test
find_package(GTest REQUIRED)
find_package(Eigen3 REQUIRED)
# Add both as "system headers" to avoid warnings generated by them with
# compilers that support that notion.
include_directories(SYSTEM
  ${GTEST_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIR})

include(CheckIncludeFileCXX)
include(CheckCXXSymbolExists)
check_include_file_cxx("gtest/gtest.h" HAVE_GTEST_HPP)
if(HAVE_GTEST_HPP)
  check_cxx_symbol_exists(GTEST_HAS_PTHREAD "gtest/gtest.h" GTEST_HAS_PTHREAD)
  check_cxx_symbol_exists(GTEST_IS_THREADSAFE "gtest/gtest.h" GTEST_IS_THREADSAFE)
endif()

if(GTEST_HAS_PTHREAD)
  message(STATUS "GTest claims it has pthreads, we need to link to it.")
  find_package(Threads)
  set(EXTRA_LINK_LIB ${CMAKE_THREAD_LIBS_INIT})
else()
  set(EXTRA_LINK_LIB "")
endif()

find_path(AVOGADRO_DATA_ROOT .avogadro.data
  ${AvogadroLibs_SOURCE_DIR}/../avogadrodata
  $ENV{AVOGADRO_DATA_ROOT}
  DOC "The repository for data used for testing."
  )
mark_as_advanced(AVOGADRO_DATA_ROOT)

# Add the tests for each module.
add_subdirectory(core)
add_subdirectory(io)
if(USE_QT)
  add_subdirectory(qtgui)
endif()
if(USE_OPENGL)
  add_subdirectory(rendering)
  if(USE_QT AND USE_VTK)
    add_subdirectory(qtopengl)
  endif()
endif()

if(USE_PROTOCALL)
  add_subdirectory(protocall)
endif()

=== avogadro/core/CMakeLists.txt ===
find_package(Eigen3 REQUIRED)
# Add as "system headers" to avoid warnings generated by them with
# compilers that support that notion.
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

if(USE_SPGLIB)
  find_package(Spglib REQUIRED)
  include_directories(SYSTEM ${SPGLIB_INCLUDE_DIR})
endif()

# configure the version header
configure_file("${PROJECT_SOURCE_DIR}/cmake/version.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/version.h")

set(HEADERS
  color3f.h
  array.h
  atom.h
  atomtyper.h
  atomtyper-inline.h
  avogadrocore.h
  basisset.h
  bond.h
  coordinateset.h
  coordinateblockgenerator.h
  crystaltools.h
  cube.h
  elements.h
  gaussianset.h
  gaussiansettools.h
  graph.h
  matrix.h
  mesh.h
  molecule.h
  mutex.h
  nameatomtyper.h
  residue.h
  ringperceiver.h
  slaterset.h
  slatersettools.h
  spacegroups.h
  symbolatomtyper.h
  types.h
  unitcell.h
  utilities.h
  variant.h
  variant-inline.h
  variantmap.h
  vector.h
  "${CMAKE_CURRENT_BINARY_DIR}/version.h"
)

set(SOURCES
  coordinateblockgenerator.cpp
  crystaltools.cpp
  cube.cpp
  elements.cpp
  gaussianset.cpp
  gaussiansettools.cpp
  graph.cpp
  mesh.cpp
  mdlvalence_p.h
  molecule.cpp
  mutex.cpp
  nameatomtyper.cpp
  residue.cpp
  ringperceiver.cpp
  slaterset.cpp
  slatersettools.cpp
  spacegroups.cpp
  symbolatomtyper.cpp
  unitcell.cpp
  variantmap.cpp
  version.cpp
)

# We currently build core without shared_mutex for Python wheels.
if(NOT PYTHON_WHEEL_BUILD)
  list(APPEND HEADERS sharedmutex.h)
  list(APPEND SOURCES sharedmutex.cpp)
endif()

if(USE_SPGLIB)
  list(APPEND HEADERS avospglib.h)
  list(APPEND SOURCES avospglib.cpp)
endif()

# The std::shared_mutex class needs pthreads on Linux.
if(UNIX AND NOT APPLE AND NOT PYTHON_WHEEL_BUILD)
  find_package(Threads)
  set(EXTRA_LINK_LIB ${CMAKE_THREAD_LIBS_INIT})
else()
  set(EXTRA_LINK_LIB "")
endif()

avogadro_add_library(AvogadroCore ${HEADERS} ${SOURCES})
target_link_libraries(AvogadroCore
  LINK_PRIVATE ${SPGLIB_LIBRARY} ${EXTRA_LINK_LIB})

=== avogadro/io/CMakeLists.txt ===
find_package(Eigen3 REQUIRED)

if(USE_MMTF)
  find_package(MMTF REQUIRED)
  include_directories(SYSTEM "${MMTF_INCLUDE_DIRS}")
  add_definitions(-DAVO_USE_MMTF)
endif()

if(USE_HDF5)
  find_package(HDF5 REQUIRED COMPONENTS C)
  # HDF5 is built in two ways (CMake or its default build system). If we are
  # using the CMake version it makes use of exported targets, hence this check.
  if(NOT DEFINED HDF5_LIBRARIES)
    set(HDF5_LIBRARIES "hdf5")
  endif()
  include_directories(SYSTEM "${HDF5_INCLUDE_DIRS}")
  add_definitions(-DAVO_USE_HDF5 -DH5_USE_110_API)
endif()

# Add as "system headers" to avoid warnings generated by them with
# compilers that support that notion.
include_directories(SYSTEM "${EIGEN3_INCLUDE_DIR}"
  "${AvogadroLibs_SOURCE_DIR}/thirdparty/pugixml"
  "${AvogadroLibs_SOURCE_DIR}/thirdparty/struct"
  "${AvogadroLibs_SOURCE_DIR}/thirdparty")

if(DEFINED AvogadroLibs_MEMORY_INCLUDE_DIRS)
  # The smart pointer classes just require headers.
  include_directories(SYSTEM ${AvogadroLibs_MEMORY_INCLUDE_DIRS})
endif()

set(HEADERS
  cjsonformat.h
  cmlformat.h
  dcdformat.h
  fileformat.h
  fileformatmanager.h
  gromacsformat.h
  mdlformat.h
  vaspformat.h
  pdbformat.h
  xyzformat.h
  trrformat.h
  lammpsformat.h
)

set(SOURCES
  cjsonformat.cpp
  cmlformat.cpp
  dcdformat.cpp
  fileformat.cpp
  fileformatmanager.cpp
  gromacsformat.cpp
  mdlformat.cpp
  vaspformat.cpp
  pdbformat.cpp
  xyzformat.cpp
  trrformat.cpp
  lammpsformat.cpp
)

if(USE_HDF5)
  list(APPEND HEADERS hdf5dataformat.h)
  list(APPEND SOURCES hdf5dataformat.cpp)
endif()

if(USE_MMTF)
  list(APPEND HEADERS mmtfformat.h)
  list(APPEND SOURCES mmtfformat.cpp)
endif()

avogadro_add_library(AvogadroIO ${HEADERS} ${SOURCES})

target_link_libraries(AvogadroIO
  LINK_PUBLIC AvogadroCore
  LINK_PRIVATE struct)
if(USE_HDF5)
  target_link_libraries(AvogadroIO LINK_PRIVATE ${HDF5_LIBRARIES})
endif()
if(WIN32)
  target_link_libraries(AvogadroIO LINK_PRIVATE ws2_32)
endif()

=== avogadro/protocall/CMakeLists.txt ===
find_package(Eigen3 REQUIRED)
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

find_package(protobuf REQUIRED NO_MODULE)
include_directories(SYSTEM ${protobuf_INCLUDE_DIRS})

find_package(ProtoCall REQUIRED NO_MODULE)
include_directories(SYSTEM ${ProtoCall_INCLUDE_DIRS})

set(HEADERS
  moleculeserializer.h
  moleculedeserializer.h
  matrixserialization.h
  )

set(SOURCES
  moleculeserializer.cpp
  moleculedeserializer.cpp
  matrixserialization.cpp
  )

avogadro_add_library(AvogadroProtoCall ${HEADERS} ${SOURCES})

target_link_libraries(AvogadroProtoCall AvogadroIO protobuf)

=== avogadro/qtgui/CMakeLists.txt ===
find_package(Eigen3 REQUIRED)
# Add as "system headers" to avoid warnings generated by them with
# compilers that support that notion.
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

find_package(Qt5 COMPONENTS Widgets REQUIRED)

# Provide some simple API to find the plugins, scripts, etc.
if(APPLE)
  # It is a special case, the app bundle logic breaks the relative pathing.
  add_definitions(-DAvogadroLibs_LIB_DIR=\"lib\")
else()
  add_definitions(-DAvogadroLibs_LIB_DIR=\"${INSTALL_LIBRARY_DIR}\")
endif()

if(USE_SPGLIB)
  add_definitions(-DUSE_SPGLIB)
endif()

# Find python for input generator scripts:
find_package(PythonInterp 3)

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/avogadropython.h.in"
"namespace Avogadro {
static const char *pythonInterpreterPath = \"${PYTHON_EXECUTABLE}\";
}
")
configure_file("${CMAKE_CURRENT_BINARY_DIR}/avogadropython.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/avogadropython.h")

set(HEADERS
  backgroundfileformat.h
  containerwidget.h
  customelementdialog.h
  elementtranslator.h
  extensionplugin.h
  filebrowsewidget.h
  fileformatdialog.h
  generichighlighter.h
  hydrogentools.h
  interfacescript.h
  interfacewidget.h
  meshgenerator.h
  molecule.h
  moleculemodel.h
  multiviewwidget.h
  periodictableview.h
  persistentatom.h
  persistentbond.h
  pythonscript.h
  rwmolecule.h
  sceneplugin.h
  scenepluginmodel.h
  scriptloader.h
  toolplugin.h
  utilities.h
  viewfactory.h
)

set(SOURCES
  backgroundfileformat.cpp
  containerwidget.cpp
  customelementdialog.cpp
  elementdetail_p.cpp
  elementitem_p.cpp
  elementtranslator.cpp
  extensionplugin.cpp
  filebrowsewidget.cpp
  fileformatdialog.cpp
  generichighlighter.cpp
  hydrogentools.cpp
  interfacescript.cpp
  interfacewidget.cpp
  meshgenerator.cpp
  molecule.cpp
  moleculemodel.cpp
  multiviewwidget.cpp
  periodictablescene_p.cpp
  periodictableview.cpp
  pythonscript.cpp
  rwmolecule.cpp
  sceneplugin.cpp
  scenepluginmodel.cpp
  scriptloader.cpp
  toolplugin.cpp
  utilities.cpp
  viewfactory.cpp
)

set(UIS
  customelementdialog.ui
)
qt5_wrap_ui(UI_SOURCES ${UIS})
list(APPEND SOURCES ${UI_SOURCES})

set(RCS
  qtgui.qrc
)
qt5_add_resources(RC_SOURCES ${RCS})
list(APPEND SOURCES ${RC_SOURCES})

avogadro_add_library(AvogadroQtGui ${HEADERS} ${SOURCES})
target_link_libraries(AvogadroQtGui AvogadroIO Qt5::Widgets)

=== avogadro/qtplugins/CMakeLists.txt ===
find_package(Eigen3 REQUIRED)
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

find_package(Qt5 COMPONENTS Widgets Network Concurrent REQUIRED)
include_directories(SYSTEM ${Qt5Widgets_INCLUDE_DIRS})
add_definitions(${Qt5Widgets_DEFINITIONS})

# Modify the output directory for the build tree.
set(original_library_output_dir "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY
  "${original_library_output_dir}/avogadro2/plugins")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY
  "${original_library_output_dir}/avogadro2/staticplugins")

# Optionally build all plugins statically.
option(BUILD_STATIC_PLUGINS "Build static plugins by default" ON)

# Allow GPL plugins to be disabled.
option(BUILD_GPL_PLUGINS
  "Build plugins that are licensed under the GNU Public License." OFF)

# Create a plugin for Avogadro.
# name is the name of the plugin, this will be the name of the target created.
# description Free text description of the plugin.
# type The base class of the plugin.
# header is the header(s) for the class to be instantiated for the plugin.
# pluginClass is the class to be instantiated for the plugin.
# sources is the list of source files for the plugin.
# uis is the list of UI files that need to be compiled (optional).
# rcs is the list of qrc files that need to be compiled (optional).
function(avogadro_plugin name description type header pluginClass sources)
  set(uis "")
  set(rcs "")
  if(${ARGC} GREATER 6)
    set(uis ${ARGV6})
  endif()
  if(${ARGC} GREATER 7)
    set(rcs ${ARGV7})
  endif()
  qt5_wrap_ui(ui_srcs ${uis})
  qt5_add_resources(rc_srcs ${rcs})
  include_directories(${CMAKE_CURRENT_BINARY_DIR})
  unset(PluginIncludes)
  foreach(_header ${header})
    set(PluginIncludes
      "${PluginIncludes}#include \"${CMAKE_CURRENT_SOURCE_DIR}/${_header}\"\n")
  endforeach()
  set(PluginName "${name}")
  set(PluginDescription "${description}")
  set(PluginType "${type}")
  set(PluginClass "${pluginClass}")
  configure_file("${AvogadroLibs_SOURCE_DIR}/cmake/avogadroplugin.cpp.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${name}Plugin.cpp")

  # Figure out which type of plugin is being added, and put it in the right list
  if(BUILD_STATIC_PLUGINS)
    set(_plugin_object "STATIC")
    set_property(GLOBAL APPEND PROPERTY AvogadroLibs_STATIC_PLUGINS ${name})
    if(rcs)
      get_filename_component(_name_we ${rcs} NAME_WE)
      set_property(GLOBAL APPEND PROPERTY AvogadroLibs_STATIC_RCS ${_name_we})
    endif()
  else()
    set(_plugin_object "MODULE")
    set_property(GLOBAL APPEND PROPERTY AvogadroLibs_PLUGINS ${name})
  endif()

  add_library(${name}
    ${_plugin_object}
    ${sources}
    ${ui_srcs}
    ${rc_srcs}
    ${name}Plugin.cpp
  )
  target_link_libraries(${name} LINK_PRIVATE AvogadroCore AvogadroQtGui)

  if("${_plugin_object}" STREQUAL "STATIC")
    set_target_properties(${name} PROPERTIES COMPILE_DEFINITIONS
      "QT_STATICPLUGIN")
    if(UNIX) # Need -fPIC for static plugins linked to shared libs on Unix.
      set_target_properties(${name} PROPERTIES COMPILE_FLAGS "-fPIC")
    endif()
  endif()

  set_target_properties(${name} PROPERTIES AUTOMOC TRUE PREFIX "")
  install(TARGETS ${name}
    EXPORT "AvogadroLibsTargets"
    RUNTIME DESTINATION "${INSTALL_RUNTIME_DIR}"
    LIBRARY DESTINATION "${INSTALL_LIBRARY_DIR}/avogadro2/plugins"
    ARCHIVE DESTINATION "${INSTALL_ARCHIVE_DIR}/avogadro2/staticplugins")
endfunction()

# Now to make the plugins.
add_subdirectory(3dmol)
add_subdirectory(bondcentrictool)
add_subdirectory(bonding)
add_subdirectory(commandscripts)
add_subdirectory(coordinateeditor)
add_subdirectory(copypaste)
add_subdirectory(cp2kinput)
add_subdirectory(crystal)
add_subdirectory(customelements)
add_subdirectory(editor)
add_subdirectory(hydrogens)
add_subdirectory(importpqr)
add_subdirectory(lammpsinput)
add_subdirectory(lineformatinput)
add_subdirectory(manipulator)
add_subdirectory(measuretool)
add_subdirectory(molecularproperties)
add_subdirectory(mongochem)
add_subdirectory(navigator)
add_subdirectory(networkdatabases)
add_subdirectory(openbabel)
add_subdirectory(openmminput)
add_subdirectory(playertool)
add_subdirectory(povray)
add_subdirectory(resetview)
add_subdirectory(select)
add_subdirectory(selectiontool)
if(USE_SPGLIB)
  add_subdirectory(spacegroup)
endif()
add_subdirectory(surfaces)
add_subdirectory(spectra)
add_subdirectory(vrml)

if(USE_VTK)
  add_subdirectory(plotpdf)
  add_subdirectory(plotrmsd)
  add_subdirectory(plotxrd)
  add_subdirectory(coloropacitymap)
endif()

if(USE_MOLEQUEUE)
  add_subdirectory(apbs)
  add_subdirectory(gamessinput)
  add_subdirectory(quantuminput)
  add_subdirectory(scriptfileformats)
endif()

if(USE_LIBARCHIVE)
  add_subdirectory(plugindownloader)
endif()

if(USE_LIBMSYM)
  add_subdirectory(symmetry)
endif()

# The scene plugins
add_subdirectory(ballandstick)
add_subdirectory(licorice)
add_subdirectory(vanderwaals)
add_subdirectory(wireframe)
add_subdirectory(force)
add_subdirectory(meshes)
add_subdirectory(overlayaxes)
add_subdirectory(vanderwaalsao)
if (USE_PROTOCALL)
  add_subdirectory(clientserver)
endif()

if(BUILD_GPL_PLUGINS)
  # qtaimcurvature.h/cpp contains GPL licensed code:
  add_subdirectory(qtaim)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${original_library_output_dir}")

# Add all of the static plugins to the initialization file.
get_property(AvogadroLibs_STATIC_PLUGINS GLOBAL
  PROPERTY AvogadroLibs_STATIC_PLUGINS)
get_property(AvogadroLibs_STATIC_RCS GLOBAL
  PROPERTY AvogadroLibs_STATIC_RCS)
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h.in"
  "// Automatically generated file. Do not edit.
#ifndef AVOGADRO_STATIC_QTPLUGINS_H
#define AVOGADRO_STATIC_QTPLUGINS_H

#include <QtCore/QtPlugin>\n\n")

foreach(_plugin ${AvogadroLibs_STATIC_PLUGINS})
  file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h.in"
    "Q_IMPORT_PLUGIN(${_plugin}Factory)\n")
endforeach()
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h.in"
  "\nvoid initAvogadroPluginResources() {\n")
foreach(_rcs ${AvogadroLibs_STATIC_RCS})
  file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h.in"
    "  Q_INIT_RESOURCE(${_rcs});\n")
endforeach()
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h.in"
  "}\n\n")

file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h.in"
  "\n#endif // AVOGADRO_STATIC_QTPLUGINS_H\n")

# Configure the static plugin header, ensuring it only changes if the contents
# are modified - otherwise the original timestamp will be maintained.
configure_file("${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h")

# Now to build the plugin library, which can also statically link plugins
# and initialize them for the application. If Avogadro is built statically
# then the static plugin header must be included by the application.
set(HEADERS
  pluginmanager.h
  pluginfactory.h
  "${CMAKE_CURRENT_BINARY_DIR}/avogadrostaticqtplugins.h"
)

set(SOURCES
  pluginmanager.cpp
)

avogadro_add_library(AvogadroQtPlugins ${HEADERS} ${SOURCES})
target_link_libraries(AvogadroQtPlugins LINK_PUBLIC ${Qt5Core_LIBRARIES}
  LINK_PRIVATE ${AvogadroLibs_STATIC_PLUGINS} AvogadroQtGui)

=== tests/qtgui/CMakeLists.txt ===
include_directories("${CMAKE_CURRENT_BINARY_DIR}"
  "${AvogadroLibs_BINARY_DIR}/avogadro/qtgui"
  "${AvogadroLibs_BINARY_DIR}/avogadro/molequeue"
  "${AvogadroLibs_SOURCE_DIR}/tests/core")

find_package(Qt5 COMPONENTS Widgets Network Test REQUIRED)

# Pull in MoleQueue for QtJson
find_package(MoleQueue REQUIRED NO_MODULE)
include_directories(${MoleQueue_INCLUDE_DIRS})

# Find python interpreter for input generator
find_package(PythonInterp 3)

# Setup config file with data location
if(AVOGADRO_DATA_ROOT)
  set(AVOGADRO_DATA ${AVOGADRO_DATA_ROOT})
endif()
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/qtguitests.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/qtguitests.h" @ONLY)

# Specify the name of each test (the Test will be appended where needed).
set(tests
  GenericHighlighter
  HydrogenTools
  Molecule
  MoleQueueQueueListModel
  RWMolecule
  )

if(PYTHON_EXECUTABLE AND AVOGADRO_DATA)
  list(APPEND tests
    FileBrowseWidget
# FIXME: These two tests are broken
#    InputGenerator
#    InputGeneratorWidget
  )
endif()

# Build up the source file names.
set(testSrcs "")
foreach(TestName ${tests})
  message(STATUS "Adding ${TestName} test.")
  string(TOLOWER ${TestName} testname)
  list(APPEND testSrcs ${testname}test.cpp)
endforeach()

# Add a single executable for all of our tests.
add_executable(AvogadroQtGuiTests ${testSrcs})
target_link_libraries(AvogadroQtGuiTests AvogadroQtGui AvogadroMoleQueue
  MoleQueueClient ${GTEST_BOTH_LIBRARIES} ${EXTRA_LINK_LIB} Qt5::Widgets Qt5::Test)

# Now add all of the tests, using the gtest_filter argument so that only those
# cases are run in each test invocation.
foreach(TestName ${tests})
  add_test(NAME "QtGui-${TestName}"
    COMMAND AvogadroQtGuiTests "--gtest_filter=${TestName}Test.*")
endforeach()

=== thirdparty/libgwavi/CMakeLists.txt ===
add_library(gwavi STATIC gwavi.c fileio.c avi-utils.c)
set_target_properties(gwavi PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

install(TARGETS gwavi
  EXPORT "AvogadroLibsTargets"
  RUNTIME DESTINATION "${INSTALL_RUNTIME_DIR}/avogadro2"
  LIBRARY DESTINATION "${INSTALL_LIBRARY_DIR}/avogadro2"
  ARCHIVE DESTINATION "${INSTALL_ARCHIVE_DIR}/avogadro2")

=== avogadro/qtplugins/apbs/CMakeLists.txt ===
# Pull in MoleQueue (needed for QtJson)
find_package(MoleQueue REQUIRED NO_MODULE)
include_directories(${MoleQueue_INCLUDE_DIRS})

set(apbs_srcs
  apbs.cpp
  apbsdialog.cpp
  apbsoutputdialog.cpp
  opendxreader.cpp
)

set(apbs_uis
  apbsdialog.ui
  apbsoutputdialog.ui
)

avogadro_plugin(apbs
  "APBS Extension"
  ExtensionPlugin
  apbs.h
  Apbs
  "${apbs_srcs}"
  "${apbs_uis}"
)

target_link_libraries(apbs
  LINK_PRIVATE AvogadroIO AvogadroMoleQueue MoleQueueClient)

=== avogadro/qtplugins/bonding/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

avogadro_plugin(Bonding
  "Perform bonding operations."
  ExtensionPlugin
  bonding.h
  Bonding
  "bonding.cpp"
  "bondingdialog.ui"
)

=== avogadro/qtplugins/clientserver/CMakeLists.txt ===
find_package(protobuf REQUIRED NO_MODULE)
include_directories(SYSTEM ${protobuf_INCLUDE_DIRS})

find_package(ProtoCall REQUIRED NO_MODULE)
include_directories(SYSTEM ${ProtoCall_INCLUDE_DIRS})

find_package(VTK COMPONENTS vtkParallelCore)
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${VTK_DEFINITIONS})
include_directories(${VTK_INCLUDE_DIRS})

find_package(Qt4 COMPONENTS QtCore QtGui QtOpenGL REQUIRED)
include_directories(SYSTEM ${QT_INCLUDES})
add_definitions(${QT_DEFINITIONS})


protocallc(_protocall_common_source
  _protocall_service_source
  _protocall_proxy_source
  _protocall_include_dir
  "remote.proto")

include_directories(${_protocall_include_dir}
  ${CMAKE_SOURCE_DIR}/avogadro/protocall
  ${CMAKE_BINARY_DIR}/avogadro/protocall
  ${CMAKE_CURRENT_SOURCE_DIR})

# Build server
set(_server_source
  avogadroserver.cpp
  avoremotemoleculeservice.cpp
  avoremotefilesystemservice.cpp
  )

add_executable(avogadroserver
  ${_protocall_common_source}
  ${_protocall_service_source}
  ${_server_source}
  )

target_link_libraries(avogadroserver
  LINK_PRIVATE vtkParallelCore AvogadroProtoCall)

install(TARGETS avogadroserver
  RUNTIME DESTINATION ${INSTALL_RUNTIME_DIR}
  BUNDLE DESTINATION .
  )

# Build plugin
foreach(_file ${_protocall_common_source} ${_protocall_proxy_source})
  set_source_files_properties(${_file} PROPERTIES SKIP_AUTOMOC TRUE)
endforeach()

set(_plugin_src "clientserver.cpp;connectionsettingsdialog.cpp")
list(APPEND _plugin_src  ${_protocall_common_source})
list(APPEND _plugin_src ${_protocall_proxy_source})
list(APPEND _plugin_src
  filedialogmodel.cpp
  filedialogfilter.cpp
  filedialog.cpp
)

set(_ui_src "connectionsettingsdialog.ui")
list(APPEND _ui_src "filedialog.ui")

avogadro_plugin(ClientServer
  "Client server operations."
  ExtensionPlugin
  "clientserver.h"
  ClientServer
  "${_plugin_src}"
  "${_ui_src}"
  )

target_link_libraries(ClientServer
  LINK_PRIVATE AvogadroIO vtkParallelCore AvogadroProtoCall)

=== debian/changelog ===
avogadrolibs (1.93.1-3) unstable; urgency=medium

  * debian patch export_molecule_save_68fb007.patch applies upstream
    commit 68fb007 (PR#517) to fix the Save dialog when exporting
    molecules (upstream issue #439).

 -- Drew Parsons <dparsons@debian.org>  Wed, 14 Apr 2021 22:48:26 +0200

avogadrolibs (1.93.1-2) unstable; urgency=medium

  * bring new upstream release into bullseye

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Feb 2021 19:04:09 +0100

avogadrolibs (1.93.1-1) experimental; urgency=medium

  * New upstream release.
  * debian patch patch_version_1.93.1.patch fixes upstream
    CMakeLists.txt to register version as 1.93.1 not 1.93.0.

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Feb 2021 18:23:37 +0100

=== debian/control ===
Source: avogadrolibs
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               libarchive-dev,
               libeigen3-dev (>> 3.3),
               libgl2ps-dev,
               libglew-dev,
               libhdf5-dev,
               openbabel,
               libsymspg-dev,
               pkg-config,
               python3,
               python3-dev,
               python3-pybind11,
               libqt5opengl5-dev,
               qttools5-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debichem-team/avogadrolibs
Vcs-Git: https://salsa.debian.org/debichem-team/avogadrolibs.git
Homepage: http://avogadro.cc/

Package: avogadro-utils
Architecture: any
Section: science
Depends: libavogadro2-1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: avogadro (>= 1.90)
Replaces: avogadro (<< 1.90)
Breaks: avogadro (<< 1.90)
Description: Molecular Graphics and Modelling System (library)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides avogadro utility programs:
   avobabel
   avocjsontocml
   bodrparse
   encodefile
   qube
   resdataparse

Package: libavogadro2-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Molecular Graphics and Modelling System (library)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the shared libraries.

Package: libavogadro-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavogadro2-1 (= ${binary:Version}),
         libeigen3-dev,
         libglew-dev,
         openbabel,
         ${misc:Depends}
Description: Molecular Graphics and Modelling System (development files)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the development and header files.

Package: libavogadro-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libavogadro-dev, python3-avogadro
Description: Molecular Graphics and Modelling System (lib documentation)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the documentation for libavogadro.

Package: python3-avogadro
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Molecular Graphics and Modelling System (Python 3 module)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) -fPIC
export CFLAGS   := $(CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := -fPIC $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed

PYTHON3_VERSION     := $(shell py3versions -dv)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/libpython$(PYTHON3_VERSION).so),)
PYTHON3_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$(PYTHON3_VERSION).so
else
PYTHON3_LIBRARY=/usr/lib/libpython$(PYTHON3_VERSION).so
endif

CMAKE_OPTS=-DUSE_HDF5=ON \
	    -DUSE_LIBMSYM=OFF \
	    -DUSE_MMTF=OFF \
	    -DUSE_MOLEQUEUE=OFF \
	    -DOpenGL_GL_PREFERENCE=GLVND \
	    -DCMAKE_SKIP_RPATH=TRUE \
	    -DUSE_PYTHON=ON \
	    -DENABLE_TRANSLATIONS=ON

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_configure-indep:
	dh_auto_configure -- -DBUILD_DOCUMENTATION=ON $(CMAKE_OPTS)

override_dh_auto_build-indep:
	cd obj-$(DEB_HOST_GNU_TYPE); make documentation

override_dh_auto_install-arch:
	dh_auto_install -a
	cp -r obj-$(DEB_HOST_GNU_TYPE)/bin debian/tmp/usr

override_dh_auto_install-indep:
	if [ ! -d debian/tmp ]; then mkdir -p debian/tmp; fi
	cp -r obj-$(DEB_HOST_GNU_TYPE)/docs/html debian/tmp

override_dh_install:
	dh_install
	dh_missing --list-missing

## avogadrolibs 1.94.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 # Set up our version.
 set(AvogadroLibs_VERSION_MAJOR   "1")
-set(AvogadroLibs_VERSION_MINOR   "93")
+set(AvogadroLibs_VERSION_MINOR   "94")
 set(AvogadroLibs_VERSION_PATCH   "0")
 set(AvogadroLibs_VERSION
   "${AvogadroLibs_VERSION_MAJOR}.${AvogadroLibs_VERSION_MINOR}.${AvogadroLibs_VERSION_PATCH}")
@@ -58,7 +58,6 @@
 option(USE_SPGLIB "Enable optional features using spglib" ON)
 option(USE_MMTF "Enable optional features using mmtf" ON)
 option(USE_PROTOCALL "Enable libraries that use ProtoCall" OFF)
-option(USE_MOLEQUEUE "Enable the MoleQueue dependent functionality" ON)
 option(USE_PYTHON "Use Python to wrap some of our API" OFF)
 
 add_subdirectory(utilities)

=== avogadro/qtgui/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,10 @@
 if(APPLE)
   # It is a special case, the app bundle logic breaks the relative pathing.
   add_definitions(-DAvogadroLibs_LIB_DIR=\"lib\")
+  add_definitions(-DAvogadroLibs_DATA_DIR=\"share\")
 else()
   add_definitions(-DAvogadroLibs_LIB_DIR=\"${INSTALL_LIBRARY_DIR}\")
+  add_definitions(-DAvogadroLibs_DATA_DIR=\"${INSTALL_DATA_DIR}\")
 endif()
 
 if(USE_SPGLIB)

=== avogadro/qtplugins/CMakeLists.txt ===
--- 
+++ 
@@ -97,12 +97,13 @@
 add_subdirectory(commandscripts)
 add_subdirectory(coordinateeditor)
 add_subdirectory(copypaste)
-add_subdirectory(cp2kinput)
 add_subdirectory(crystal)
 add_subdirectory(customelements)
 add_subdirectory(editor)
+add_subdirectory(fetchpdb)
 add_subdirectory(hydrogens)
 add_subdirectory(importpqr)
+add_subdirectory(insertfragment)
 add_subdirectory(lammpsinput)
 add_subdirectory(lineformatinput)
 add_subdirectory(manipulator)
@@ -122,22 +123,26 @@
   add_subdirectory(spacegroup)
 endif()
 add_subdirectory(surfaces)
+add_subdirectory(svg)
 add_subdirectory(spectra)
 add_subdirectory(vrml)
 
+# Plugins that require VTK
 if(USE_VTK)
   add_subdirectory(plotpdf)
   add_subdirectory(plotrmsd)
   add_subdirectory(plotxrd)
+  if(BUILD_YAEHMOP_PLUGIN)
+    add_subdirectory(yaehmop)
+  endif()
   add_subdirectory(coloropacitymap)
 endif()
 
-if(USE_MOLEQUEUE)
-  add_subdirectory(apbs)
-  add_subdirectory(gamessinput)
-  add_subdirectory(quantuminput)
-  add_subdirectory(scriptfileformats)
-endif()
+add_subdirectory(apbs)
+add_subdirectory(cp2kinput)
+add_subdirectory(gamessinput)
+add_subdirectory(quantuminput)
+add_subdirectory(scriptfileformats)
 
 if(USE_LIBARCHIVE)
   add_subdirectory(plugindownloader)

=== avogadro/qtplugins/apbs/CMakeLists.txt ===
set(apbs_srcs
  apbs.cpp
  apbsdialog.cpp
  apbsoutputdialog.cpp
  opendxreader.cpp
)

set(apbs_uis
  apbsdialog.ui
  apbsoutputdialog.ui
)

avogadro_plugin(apbs
  "APBS Extension"
  ExtensionPlugin
  apbs.h
  Apbs
  "${apbs_srcs}"
  "${apbs_uis}"
)

target_link_libraries(apbs
  LINK_PRIVATE AvogadroIO AvogadroMoleQueue)

=== avogadro/qtplugins/cp2kinput/CMakeLists.txt ===
# Extension
set(cp2kinput_srcs
  cp2kinputdialog.cpp
  cp2kinput.cpp
)

avogadro_plugin(Cp2kInput
  "CP2K input file generation"
  ExtensionPlugin
  cp2kinput.h
  Cp2kInput
  "${cp2kinput_srcs}"
  cp2kinputdialog.ui
)

target_link_libraries(Cp2kInput LINK_PRIVATE AvogadroMoleQueue)

=== avogadro/qtplugins/fetchpdb/CMakeLists.txt ===
set(srcs
  fetchpdb.cpp
)

avogadro_plugin(FetchPDB
  "Fetch PDB"
  ExtensionPlugin
  fetchpdb.h
  FetchPDB
  "${srcs}"
  ""
)

target_link_libraries(FetchPDB
  LINK_PRIVATE AvogadroIO ${Qt5Network_LIBRARIES})

=== avogadro/qtplugins/gamessinput/CMakeLists.txt ===
# Extension
set(gamessinput_srcs
  gamessinputdialog.cpp
  gamesshighlighter.cpp
  gamessinput.cpp
)

avogadro_plugin(GamessInput
  "GAMESS input file generation"
  ExtensionPlugin
  gamessinput.h
  GamessInput
  "${gamessinput_srcs}"
  gamessinputdialog.ui
)

target_link_libraries(GamessInput LINK_PRIVATE AvogadroMoleQueue)

=== avogadro/qtplugins/insertfragment/CMakeLists.txt ===
include(ExternalProject)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

avogadro_plugin(InsertFragment
  "Insert molecular fragments and crystals."
  ExtensionPlugin
  insertfragment.h
  InsertFragment
  "insertfragment.cpp;insertfragmentdialog.cpp;sortfiltertreeproxymodel.cpp"
  "insertfragmentdialog.ui"
)

# Install the fragments & crystals
# TODO - make this a for loop
set(_molecules "${AvogadroLibs_SOURCE_DIR}/../molecules")
set(_crystals "${AvogadroLibs_SOURCE_DIR}/../crystals")

# Look in parallel directory for the molecule fragment repository
if(NOT EXISTS "${_molecules}")
# download molecules...
ExternalProject_Add(molecules
    GIT_REPOSITORY https://github.com/openchemistry/molecules
    # or https://github.com/OpenChemistry/molecules/archive/refs/heads/master.zip
    SOURCE_DIR "${AvogadroLibs_SOURCE_DIR}/../molecules"
    CONFIGURE_COMMAND ""
    BUILD_COMMAND ""
    INSTALL_COMMAND ""
)
endif()

install(DIRECTORY "${AvogadroLibs_SOURCE_DIR}/../molecules"
  DESTINATION "${INSTALL_DATA_DIR}/avogadro2"
  PATTERN ".git" EXCLUDE
)

# crystals
if(NOT EXISTS "${_crystals}")
# download molecules... 
ExternalProject_Add(crystals
    GIT_REPOSITORY https://github.com/openchemistry/crystals
    # or https://github.com/OpenChemistry/crystals/archive/refs/heads/master.zip
    SOURCE_DIR "${AvogadroLibs_SOURCE_DIR}/../crystals"
    CONFIGURE_COMMAND ""
    BUILD_COMMAND ""
    INSTALL_COMMAND ""
)
install(DIRECTORY "${AvogadroLibs_SOURCE_DIR}/../crystals"
DESTINATION "${INSTALL_DATA_DIR}/avogadro2"
PATTERN ".git" EXCLUDE
)
endif()

=== avogadro/qtplugins/quantuminput/CMakeLists.txt ===
# Needed to find avogadroioexport.h:
include_directories("${AvogadroLibs_BINARY_DIR}/avogadro/io/")

# Extension
set(quantuminput_srcs
  quantuminput.cpp
)

avogadro_plugin(QuantumInput
  "Quantum input file generation"
  ExtensionPlugin
  quantuminput.h
  QuantumInput
  "${quantuminput_srcs}"
)

target_link_libraries(QuantumInput LINK_PRIVATE AvogadroIO AvogadroMoleQueue)

set(_prefix "${AvogadroLibs_SOURCE_DIR}/../avogadrogenerators")
# Look in parallel directory for the avogadrogenerators repository.
if(EXISTS "${_prefix}/generators.cmake")
  # Bundled generator scripts,
  include("${_prefix}/generators.cmake")
  message("We have ${input_generators}")
  unset(_generators)
  foreach(gen ${input_generators})
    list(APPEND _generators "${_prefix}/${gen}")
  endforeach()
  message("We have ${_generators}")

  option(INSTALL_TEST_INPUT_GENERATOR
    "Install a dummy input generator that is used to test generator scripts."
    OFF)

  if(INSTALL_TEST_INPUT_GENERATOR)
    list(APPEND _generators "${_prefix}/${test_generator}")
  endif()

  install(PROGRAMS ${_generators}
    DESTINATION "${INSTALL_LIBRARY_DIR}/avogadro2/scripts/inputGenerators/")
else()
  message("Avogadro Generators not found at ${_prefix}!")
endif()

=== avogadro/qtplugins/svg/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
find_package(Qt5 COMPONENTS Svg REQUIRED)


avogadro_plugin(SVG
  "Project the screen in a SVG image."
  ExtensionPlugin
  svg.h
  SVG
  "svg.cpp"
  ""
)

target_link_libraries(SVG LINK_PRIVATE AvogadroRendering Qt5::Svg)

=== avogadro/qtplugins/yaehmop/CMakeLists.txt ===

set(yaehmop_srcs
  banddialog.cpp
  specialkpoints.cpp
  yaehmop.cpp
  yaehmopout.cpp
)

set(yaehmop_uis
  banddialog.ui
)

avogadro_plugin(Yaehmop
  "Use yaehmop to perform extended Hückel calculations."
  ExtensionPlugin
  yaehmop.h
  Yaehmop
  "${yaehmop_srcs}"
  "${yaehmop_uis}"
)

target_link_libraries(Yaehmop LINK_PRIVATE AvogadroVtk)

=== debian/changelog ===
avogadrolibs (1.94.0-6) experimental; urgency=medium

  * debian patches insert_crystals_PR658.patch and
    insert_crystals_PR659.patch apply upstream PR#658 and PR#659
    to activate Insert Fragment for crystals.
  * debian patch fix_SMILES_PR661.patch fixes random failure to insert
    SMILES molecules. Note 'H' is not supported in the SMILES format.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Jul 2021 18:24:16 +0200

avogadrolibs (1.94.0-5) experimental; urgency=medium

  * debian patch read_nonstandard_pdb_PR647.patch applies upstream
    PR#646 allowing nonstandard pdb files to be read.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Jul 2021 00:45:47 +0200

avogadrolibs (1.94.0-4) experimental; urgency=medium

  * debian patch fix_transparency_PR656.patch applies upstream PR#656
    to fix transparency of selections.
  * reinstate debian/tmp/html in debian/not-installed. It's installed
    by dh_installdocs not dh_install, dh_missing does not know about
    doc installations.

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Jul 2021 20:59:47 +0200

avogadrolibs (1.94.0-3) experimental; urgency=medium

  * libavogadro-data: install molecules and crystals data directly
    from source in debian/data to enable arch-indep builds

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Jul 2021 18:49:26 +0200

avogadrolibs (1.94.0-2) experimental; urgency=medium

  * libavogadro-dev Depends: libglvnd-dev
    Needed to provide libOpenGL.so (libopengl-dev) and other
    INTERFACE_LINK_LIBRARIES listed in cmake config scripts.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Jul 2021 17:47:53 +0200

avogadrolibs (1.94.0-1) experimental; urgency=medium

  * New upstream release.
    - Build-Depends: python3-skbuild, python3-wheel, libqt5svg5-dev
    - applies debian patches export_molecule_save_68fb007.patch,
      fix_spglib_include_path.patch, patch_version_1.93.1.patch
  * Build-Depends: libjs-mathjax. Use local copy of mathjax.js in docs.
  * libavogadro-data package provides molecules and crystals for the
    insertfragment plugin
    - provided in source as git subtrees in debian/data.
    - debian patch qtplugins_insertfragment.patch enables build access
  * libavogadro2-1 Recommends: python3-cclib
    (used by formatScripts/cclibScript.py)

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Jun 2021 03:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,19 @@
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
+               libglvnd-dev,
                libhdf5-dev,
+               libjs-mathjax,
+               libsymspg-dev,
                openbabel,
-               libsymspg-dev,
                pkg-config,
                python3,
                python3-dev,
                python3-pybind11,
+               python3-skbuild,
+               python3-wheel,
                libqt5opengl5-dev,
+               libqt5svg5-dev,
                qttools5-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
@@ -55,20 +60,22 @@
 Depends: python3,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libavogadro-data, python3-cclib
 Description: Molecular Graphics and Modelling System (library)
  Avogadro is a molecular graphics and modelling system targeted at small
  to medium molecules.  It can visualize properties like molecular orbitals or
  electrostatic potentials and features an intuitive molecular builder.
  .
- This package provides the shared libraries.
+ This package provides the shared libraries, plugins and functionality scripts.
 
 Package: libavogadro-dev
 Architecture: any
-Section: libdevel
+Section: libs
 Multi-Arch: same
 Depends: libavogadro2-1 (= ${binary:Version}),
          libeigen3-dev,
          libglew-dev,
+         libglvnd-dev,
          openbabel,
          ${misc:Depends}
 Description: Molecular Graphics and Modelling System (development files)
@@ -78,11 +85,24 @@
  .
  This package provides the development and header files.
 
+Package: libavogadro-data
+Architecture: all
+Section: libdevel
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: Molecular Graphics and Modelling System (data files)
+ Avogadro is a molecular graphics and modelling system targeted at small
+ to medium molecules.  It can visualize properties like molecular orbitals or
+ electrostatic potentials and features an intuitive molecular builder.
+ .
+ This package provides molecule and crystal data for the
+ Insert Fragment plugin.
+
 Package: libavogadro-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends: libjs-mathjax, ${misc:Depends}
 Suggests: libavogadro-dev, python3-avogadro
 Description: Molecular Graphics and Modelling System (lib documentation)
  Avogadro is a molecular graphics and modelling system targeted at small

=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,7 @@
 override_dh_install:
 	dh_install
 	dh_missing --list-missing
+
+override_dh_installdocs-indep:
+	dh_installdocs -i
+	grep "https://cdn.jsdelivr.net/npm/mathjax@.*/MathJax.js" debian/libavogadro-doc/usr/share/doc/libavogadro-dev/* -r --files-with-matches | xargs sed "s|src=\"https://cdn.jsdelivr.net/npm/mathjax@.*/MathJax.js|src=\"file:///usr/share/javascript/mathjax/MathJax.js|g" -i
